let expect = require('chai').expect;
let add = require('../src/math').add;
let divide = require('../src/math').divide;

describe('sample tests', function() {
  it('should pass this canary test', function() {
    expect(true).to.be.true;
  });                  
  
  it('add two numbers should return sum', function() {
    expect(add(4, 2)).to.be.eql(6);
  }); 
  
  it('add two negative numbers should return sum', function() {
    expect(add(-4, -3)).to.be.eql(-7);
  });                                 
  
  it('divide a number should return result', function() {
    expect(divide(6, 2)).to.be.eql(3);
  });
  
  it('divide by zero should throw an exception', function() {
    expect(() => divide(4, 0)).to.throw(Error);
  });
});




